#ifndef RSMATPLOTLIB_HPP
#define RSMATPLOTLIB_HPP
//-------------------------------------------------------------------------------------------------
/// @file The functionality that links matplotlib to the report system graphs.
//-------------------------------------------------------------------------------------------------
// Includes
//-------------------------------------------------------------------------------------------------

//-------------------------------------------------------------------------------------------------
// Globals, Constants, Defines, Macros, Forward References
//-------------------------------------------------------------------------------------------------
class CReportGraphData;

// ================================================================================================
/// Generate the matplotlib file for the @p cGraph in file called @p cszFileName with the matplotlib
/// format given by @ cszFormat (typically "eps", or "svg").
bool Matplotlib(const CReportGraphData& cGraph, const char* cszFilename, const char* cszFormat);

#endif  // RSMATPLOTLIB_HPP
