#ifndef RSTEXTVIEW_HPP
#define RSTEXTVIEW_HPP
//-------------------------------------------------------------------------------------------------
// Includes
//-------------------------------------------------------------------------------------------------
#include "rsitemview.hpp"
#include "rstextdata.hpp"

// ================================================================================================
/// The view for the CReportTextData item.
class CReportTextView : public TReportDataItemView<CReportTextData>
{
public:
    virtual ~CReportTextView() = default;

    virtual void OnBaseChanged(unsigned int uiUpdateFlag) override{};

    virtual void AutoSize() override;
    virtual void PrintPartial(uint_32 uPageIndex, const CPageInfoVec& cPageInfo) override;
    virtual void DrawItem(const SRect& cLocation) override;
};

#endif // RSTEXTVIEW_HPP
