#pragma once
#if defined (MIC_VCMFC)
#pragma warning( disable : 4065 ) // switch statement contains 'default' but no 'case' labels
                                  // This is disabled because some of the com
                                  // generated code produces this if there are
                                  // not enough messages. 
#pragma warning( disable : 4018 ) // '>=' : signed/unsigned mismatch
#pragma warning( disable : 4100 ) // 'cArg' : unreferenced formal parameter
#pragma warning( disable : 4389 ) // '==' : signed/unsigned mismatch
#pragma warning( disable : 4714 ) // function 'function' marked as __forceinline not inlined
#pragma warning( disable : 4800 ) // 'uint_8' : forcing value to bool 'true' or 'false' (performance warning)
#pragma warning( disable : 4995 ) // 'function': name was marked as #pragma deprecated
#pragma warning( disable : 4996 ) // 'function': name was marked as #pragma deprecated
#endif

#if defined(__GNUC__)
// Note the asus yocto cross compiler is still getting warnings for:
//   In member function 'std::pair<float, float> CPointSlopeCal::Point() const':
//   /home/sk/work-micro/i7100/externals/mic-cpp-lib/cpp/calibration.cpp:276:55: note: parameter passing for argument of type ‘std::pair<float, float>’ when C++17 is enabled changed to match C++14 in GCC 10.1
//   276 | std::pair<float_32, float_32> CPointSlopeCal::Point() const
// These don't go away with the -Wno-psabi flag even thought the internet thinks it should.
#pragma GCC diagnostic ignored "-Wfloat-conversion"
#pragma GCC diagnostic ignored "-Wconversion"
#pragma GCC diagnostic ignored "-Wunused-result"
#endif
